#!/bin/bash

homedir=/linuxcash/cash/sync/
logfile=/linuxcash/logs/current/sync.log
echo `date` "start upload" >> ${logfile}
echo $* >> ${logfile}

full="--incr"
subj="dictionary"
for param in $*; do
    if [ "${param:0:7}" == "--subj=" ] ; then
        subj=${param:7}
    fi
    if [ "$param" == "-delgoods" ] ; then
        full="--full"
    fi
done

/usr/bin/python /linuxcash/cash/exchangesystems/exchangers/src/upload/converter/aif.py --storeId="cash" --flagFiles=$1"fake" --dictFiles=$1 1>> $logfile 2>&1

if [ $? == 0 ] ; then
    echo "Succesfully completed" >>${logfile}
    ${homedir}bin/markloaded.sh --subj=dictionary --fail=false --cashcheck=1 --servercheck=1 --subsubj=$subj
  exit 0
else
    echo "Completed with error. See log for details">>${logfile}
    ${homedir}bin/markloaded.sh --subj=dictionary --fail=true
  exit 1
fi;
