#!/bin/bash
homedir=/linuxcash/cash/sync/
logfile=/linuxcash/logs/current/sync.log
echo `date` " mark as loaded" >> ${logfile}

. ${homedir}bin/initvariable.sh

for param in $*; do
    if [ "${param:0:2}" == "--" ] ; then
        exp=${param:2}
        eval ${exp%=*}=${exp#*=}
    fi
done

url="http://${sync_ip}:${sync_port}/CS/SyncServer/RPC?method=markFileLoaded"

if [ "$subj" != "" ] ; then
    url="${url}&subj=$subj"
fi
if [ "$fail" != "" ] ; then
    url="${url}&fail=$fail"
fi
if [ "$cashcheck" != "" ] ; then
    url="${url}&cashcheck=$cashcheck"
fi
if [ "$servercheck" != "" ] ; then
    url="${url}&servercheck=$servercheck"
fi
if [ "$date" != "" ] ; then
    url="${url}&date=$date"
fi
if [ "$subsubj" != "" ] ; then
    url="${url}&subsubj=$subsubj"
fi


echo $url >>  ${logfile}

/usr/bin/wget --output-document=/dev/null --output-file=/dev/null --http-user=${sync_code} --http-password=${sync_password} $url