#!/bin/bash
homedir=/linuxcash/cash/sync/
file=/tmp/syncparams

. ${homedir}bin/initvariable.sh 

dialog --ascii-lines --clear --title "Sync configuration" \
       --form "Connect parameters" 11 35 4 \
              "Server IP:" 1 1 "${sync_ip}" 1 13 16 15 \
              "Server port:" 2 1 "${sync_port}" 2 13 16 4 \
              "Cash code:" 3 1 "${sync_code}" 3 13 16 10 \
              "Password:" 4 1 "${sync_password}" 4 13 16 10 \
      2> $file
retval=$?

case $retval in
    0)
	# entered
        echo ok
    ;;
    1)
	# abandoned
        exit
    ;;
    255)
	if test -s $file ; then
    	    # ok
	    echo ok
        else
	    # esc pressed
	    exit
	fi
    ;;
esac

sync_ip=`cat $file | sed -n -e '1{/[^\n]*/p}'`
sync_port=`cat $file | sed -n -e '2{/[^\n]*/p}'`
cash_code=`cat $file | sed -n -e '3{/[^\n]*/p}'`
sync_pwd=`cat $file | sed -n -e '4{/[^\n]*/p}'`

echo server.ip=${sync_ip}>${homedir}resource/cash.properties 
echo server.port=${sync_port}>>${homedir}resource/cash.properties 
echo cash.code=${cash_code}>>${homedir}resource/cash.properties 
echo cash.password=${sync_pwd}>>${homedir}resource/cash.properties 